package com.liquidnet.service.consumer.base.receiver.dragon;

import com.liquidnet.service.base.constant.MQConst;
import com.liquidnet.service.consumer.base.receiver.AbstractSqlRedisReceiver;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 支付商户通知消费
 */
@Slf4j
@Component
public class ConsumerDragonMchNotifyFailReceiver extends AbstractSqlRedisReceiver {

    @Override
    protected String getRedisStreamKey() {
        return MQConst.DragonQueue.PAY_MCH_NOTIFY_ERROR_KEY.getKey();
    }

    @Override
    protected String getRedisStreamGroup() {
        return MQConst.DragonQueue.PAY_MCH_NOTIFY_ERROR_KEY.getGroup();
    }
}
